﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace webserver1
{   
    /// <summary>
    /// 一些有用的字符串扩展方法
    /// </summary>
    public static class ExtensionMethods
    {   
        /// <summary>
        /// 返回给定字符串左侧的字串或是整个源字符串
        /// </summary>
        /// <param name="src">源字符串</param>
        /// <param name="s">对比字符串</param>
        /// <returns></returns>
        public static string LeftOf(this String src, string s)
        {
            string ret = src;
            int idx = src.IndexOf(s);
            if (idx != -1) { ret = src.Substring(0, idx); }
            return ret;
        }

        /// <summary>
        /// 返回给定字符串右侧的字串或是整个源字符串
        /// </summary>
        /// <param name="src">源字符串</param>
        /// <param name="s">对比字符串</param>
        /// <returns></returns>
        public static string RightOf(this String src, string s)
        {   
            string ret = String.Empty;
            int idx = src.IndexOf(s); 
            if (idx != -1) { 
                ret = src.Substring(idx + s.Length); 
            } return ret;
        }

    }
}
